// Project Lab - NHTV Igad

#pragma once

#include "GUI/Menu/MenuScreenBase.h"
#include "StartPromptScreen.generated.h"


/**
 * 
 */
UCLASS()
class UNREALPROJECT_API UStartPromptScreen : public UMenuScreenBase
{
	GENERATED_BODY()

public:
	UFUNCTION(BlueprintCallable, Category="Start Prompt")
	void Close();
	
	UFUNCTION(BlueprintImplementableEvent)
	void OnClose();
	
	DECLARE_MULTICAST_DELEGATE(FClosedEvent)
	FClosedEvent onClosed;
};
